> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Network Policy

> Get the current network policy configuration.



## OpenAPI

````yaml /sprites/api/openapi.json get /v1/sprites/{name}/policy/network
openapi: 3.1.0
info:
  title: Sprites API
  version: 0.1.12
  x-sprite-env-version: v0.0.1-rc48
servers:
  - url: https://api.sprites.dev
security: []
paths:
  /v1/sprites/{name}/policy/network:
    get:
      tags:
        - Network Policy
      summary: Get Network Policy
      description: Get the current network policy configuration.
      operationId: sprite_env_get__network__policy
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                rules:
                  - action: allow
                    domain: github.com
                  - action: allow
                    domain: '*.npmjs.org'
                  - action: deny
                    domain: '*'
              schema:
                $ref: '#/components/schemas/NetworkPolicyRequest'
          description: Success
        '404':
          description: Not Found - Resource not found
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    NetworkPolicyRequest:
      example:
        rules:
          - action: allow
            domain: github.com
          - action: allow
            domain: '*.npmjs.org'
      properties:
        rules:
          description: List of network policy rules
          items:
            $ref: '#/components/schemas/NetworkPolicyRule'
          type: array
      required:
        - rules
      type: object
    NetworkPolicyRule:
      example:
        action: allow
        domain: '*.github.com'
      properties:
        action:
          description: '`allow` or `deny`'
          type: string
        domain:
          description: Domain pattern (e.g., `*.github.com`)
          type: string
        include:
          description: Include rules from preset
          type: string
      required: []
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````